> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create EvoAI Bot

> Creates a new EvoAI bot with the provided configuration



## OpenAPI

````yaml openapi-v2 POST /evoai/create/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /evoai/create/{instance}:
    post:
      tags:
        - EvoAI Controller
      summary: Create a new evoai bot instance
      description: Creates a new EvoAI bot with the provided configuration
      operationId: createEvoAIBot
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        description: Configuration for the EvoAI bot instance
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                agentUrl:
                  type: string
                apiKey:
                  type: string
                triggerType:
                  type: string
                  enum:
                    - all
                    - keyword
                triggerOperator:
                  type: string
                  enum:
                    - contains
                    - equals
                    - startsWith
                    - endsWith
                    - regex
                    - none
                triggerValue:
                  type: string
                expire:
                  type: integer
                keywordFinish:
                  type: string
                delayMessage:
                  type: integer
                unknownMessage:
                  type: string
                listeningFromMe:
                  type: boolean
                stopBotFromMe:
                  type: boolean
                keepOpen:
                  type: boolean
                debounceTime:
                  type: integer
                ignoreJids:
                  type: array
                  items:
                    type: string
              required:
                - enabled
                - agentUrl
      responses:
        '200':
          description: EvoAI bot instance created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: EvoAI bot instance created successfully
        '400':
          description: Bad Request - Invalid or missing parameters
        '404':
          description: Not Found - Instance could not be created
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````